Người dùng Android đang gặp nguy?

Người dùng Android đang gặp nguy?

Đại diện Google xác nhận gã khổng lồ tìm kiếm không có ý định vá lại một lỗ hổng bảo mật bên trong trình duyệt mặc định của các phiên bản Android đời cũ mà khoảng 60% người dùng Android vẫn đang sử dụng.

Android, lỗ hổng, bảo mật

Cụ thể, những ai đang dùng điện thoại và tablet cài Android 4.3 Jelly Bean trở về trước sẽ phải "sống chung" với lỗ hổng này, Giám đốc bảo mật Android Adrian Ludwig viết trên trang Google+ cá nhân hôm cuối tuần qua.

"Việc đảm bảo cho hệ điều hành luôn cập nhật là một trong những thách thức lớn nhất của bảo mật", ông này viết. Do ứng dụng trình duyệt của Android được xây dựng dựa trên công cụ trình duyệt WebKit đã có tuổi đời hơn 2 năm nên việc khắc phục lỗ hổng ở Jelly Bean và các phiên bản trước đó "vẫn không thể đảm bảo an toàn" cho người dùng, và vì thế là một giải pháp không thực tế.

Sau đó, Google cũng chính thức xác nhận rằng tuyên bố của Ludwig chính là phát ngôn chính thức của hãng về vụ việc.

Quyết định này của Google đã khiến cho giới bảo mật hết sức bức xúc. Họ lo ngại rằng tin tặc sẽ có thể dễ dàng nhắm đến hàng trăm triệu người dùng smartphone và tablet thông qua việc khai thác lỗ hổng này, dù Ludwig khẳng định rằng số lượng người dùng "có khả năng bị ảnh hưởng" đang giảm xuống từng ngày. Nhưng theo quan điểm của giới bảo mật thì tốc độ thu hẹp này rất chậm.

Theo số liệu của chính Google thì 39.1% người dùng Android đang cài phiên bản "an toàn, không bị ảnh hưởng" là 4.4 KitKat trở về đây. Phiên bản mới nhất - Android 5.0 Lollipop được phát hành vào tháng 11 hiện chỉ mới chiếm chưa đầy 0,1% số thiết bị Android đã kích hoạt. Điều này có nghĩa là 60% các thiết bị Android vẫn đang cài phiên bản cũ với lỗ hổng ở trình duyệt.

Hậu quả của việc có quá nhiều người cài quá nhiều phiên bản của cùng một hệ điều hành là việc bảo vệ họ sẽ trở nên cực kỳ phức tạp, chuyên gia Tod Beardsley bình luận. "Thật không may rằng đây lại là tin cực vui cho tội phạm mạng".

Nâng cấp một smartphone hay máy tính bảng Android mới không được nhiều người dùng lựa chọn, vì trong khi Nexus 6 cài sẵn Android 5.0 đang được bán với giá 649.99 USD thì trên Amazon vẫn đang bán những con dế Android mới tinh, cài hệ điều hành cũ hơn với giá chỉ bằng 1/10.

Ludwig khuyến cáo người dùng Android 4.3 trở về trước nên sử dụng một trình duyệt Web khác. Ông này gợi ý Google Chrome, một trình duyệt hỗ trợ Android 4.0 Ice Cream Sandwich trở về đây, hoặc Mozilla Firefox, trình duyệt hỗ trợ các phiên bản từ Android 2.3 Gingerbread và mới hơn. Tuy nhiên, việc đổi trình duyệt cũng không khắc phục được hoàn toàn lỗ hổng bởi nó ảnh hưởng đến phần trình duyệt mặc định mà ứng dụng cần truy cập khi muốn hiển thị website. Ludwig yêu cầu giới lập trình ứng dụng hạn chế nội dung tải nếu như nội dung đó không xuất phát từ bản thân thiết bị Android đó hoặc từ một kết nối đáng tin cậy.

Beardsley nói rằng, ông thông cảm với quyết định của Google do những khó khăn trong việc cập nhật mã cũ. Dù vậy, vị chuyên gia này vẫn hy vọng Google xem xét lại quyết định của mình bởi số lượng người dùng phụ thuộc vào Android vẫn rất nhiều.

T.C

Cập nhật tin tức công nghệ mới nhất tại fanpage Công nghệ & Cuộc sống

Nguồn tin: Vietnamnet

 

Tham gia bình luận